INTEL_FB_OBJ_INVALID(9)

NAME
intel_fb_obj_invalidate - invalidate frontbuffer object

SYNOPSIS

void intel_fb_obj_invalidate(struct drm_i915_gem_object * obj, struct intel_engine_cs * ring);

ARGUMENTS

obj
    GEM object to invalidate

ring
    set for asynchronous rendering

DESCRIPTION

This function gets called every time rendering on the given object starts and frontbuffer caching (fbc, low refresh rate for DRRS, panel self refresh) must be invalidated. If ring is non-NULL any subsequent invalidation will be delayed until the rendering completes or a flip on this frontbuffer plane is scheduled.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT